Xeonr Developer Docs
API SpecificationComments

Create Thread

POST
/xeonr.notes.v1.CommentsService/CreateThread

Creates a new comment thread on a text selection within a note.

AuthorizationBearer <token>

JWT access token obtained via OAuth2 flow or service account

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

bucketId?string
Length1 <= length
noteId?string
Length1 <= length
from?integer
Formatint32
to?integer
Formatint32
quotedText?string
content?string
Length1 <= length
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://notes-api.xeonr.io/xeonr.notes.v1.CommentsService/CreateThread" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "thread": {
    "id": "string",
    "from": 0,
    "to": 0,
    "quotedText": "string",
    "resolved": true,
    "resolvedById": "string",
    "resolvedAt": "string",
    "comments": [
      {
        "id": "string",
        "authorId": "string",
        "content": "string",
        "createdAt": "string",
        "updatedAt": "string"
      }
    ]
  }
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}